Page MenuHomePhabricator

Measure the number of translations for selected small wikis
Closed, ResolvedPublic

Description

As part of the Language annual plan (T225298), we want to measure the number of translations published per week on selected wikis. Since we plan to support translation for new kinds of content, devices, and focus on specific wikis; we want to be able to explore the following dimensions:

Type of content created:

  • All translations
  • New pages
  • New sections

(Only content in the main namespace is considered)
Content status:

  • Published
  • Published but needing review. Currently translations are added to the "needs review" category because too much unmodified MT was present. In T245840, the tag "unreviewed-translation" is proposed to be added when publishing such translations, and can be used for the visualizations.
  • Deleted

Type of device:

  • All devices
  • Desktop
  • Mobile

Wiki:

  • All Wikipedias (aggregate of all languages)
  • Selected small wikis (aggregate of the 5 languages below)
  • Malayalam
  • Bengali
  • Tagalog
  • Javanese
  • Mongolian
  • Albanian

In this way we can check if section translation on mobile is working better for Mongolian or Tagalog, for example. This can be supported ideally by means of filtering mechanisms. Alternatively, multiple graphs or adding multiple lines for each graph can be considered, but that may limit the exploration of the results or add too much clutter. It is ok to work on iterations and support an initial subset of these aspects initially, but we may need a clear view of the expected result to decide where and how to support visualizing the information.

Event Timeline

Pginer-WMF updated the task description. (Show Details)Jun 20 2019, 12:01 PM
Pginer-WMF triaged this task as High priority.Aug 29 2019, 10:17 AM
Pginer-WMF moved this task from Backlog to Priority Backlog on the Language-analytics board.
nshahquinn-wmf set Due Date to Sep 30 2019, 12:30 PM.Sep 4 2019, 8:37 AM
nshahquinn-wmf updated the task description. (Show Details)
nshahquinn-wmf lowered the priority of this task from High to Medium.EditedOct 28 2019, 4:46 PM

I'll be working on this during the current quarter, but it doesn't need to be done immediately, so setting the priority as normal.

Pginer-WMF updated the task description. (Show Details)Mar 5 2020, 11:16 AM

@nshahquinn-wmf: Do you know if this task is still valid and should stay open? Asking as the Due Date on this task says September 2019. If this task is done, please resolve it (via Add Action...Change Status in the dropdown menu). If it is not done, please remove or reset the Due Date (via Edit Task). Thanks!

nshahquinn-wmf closed this task as Resolved.Apr 19 2020, 4:26 PM

These are now available in the key metrics dashboard in Superset! We will add section translation metrics later (T250378).